Page MenuHomePhabricator

Disabled 'Connection with Wikidata' in Notification preferences but still get notices of connection of Wikipedia articles on my watchlist to Wikidata
Closed, ResolvedPublic

Description

I have unticked 'Connection with Wikidata' in Preferences, Notifications, in both Wikimedia and Wikipedia, but I still get notices of connection of Wikipedia articles on my watchlist to Wikidata.

Note: I have solved the problem with a bodge by adding the main Wikidata editors for the articles on my watchlist to 'Do not display notifications from these users'.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 18 2020, 7:39 PM
MarcoAurelio added a subscriber: MarcoAurelio.

Hello @Dudley_Miles. On which project is this happening? Are the notifications comming from articles on a single wiki or from multiple wikis? Best regards.

Aklapper changed the task status from Open to Stalled.Jan 18 2020, 7:45 PM

Hi @Dudley_Miles, thanks for taking the time to report this and welcome to Wikimedia Phabricator! Please follow https://www.mediawiki.org/wiki/How_to_report_a_bug and provide a clear list of steps to reproduce, including URLs, which leave no room for interpretation. Thanks!

You have to filter them out. There is another user preference and also a filter on the watchlist for this.

The notifications are on Commons, Your notices. I get a notification that a category has been linked to Wikidata. Unticking'Connection with Wikidata' in Preferences, Notifications, appears to be the correct option to stop receiving the notices, but it does not work.

With regard to the message about filtering out, few if any users would understand this procedure, and the instructions are vague with the reference to 'another user preference', so the option to opt out of notifications is of no use .

Restricted Application added a project: Growth-Team. · View Herald TranscriptJan 19 2020, 5:30 PM
Aklapper renamed this task from Connection with Wikidata to Disabled 'Connection with Wikidata' in Notification preferences but still get notices of connection of Wikipedia articles on my watchlist to Wikidata.Jan 20 2020, 7:18 AM
Aklapper changed the task status from Stalled to Open.

@Dudley_Miles Could you give some examples of articles/categories where you received notifications from me, please? One thought is that I am using a Python script to add these links rather than the editing interface, and in some cases I add both the enwp and commons link simultaneously to a new item linking the two. Perhaps that somehow means that the option blocks one notification but somehow lets the other through.

They are all Commons categories so far I remember. Examples are Category:Sole Common Pond, Category:Westfield Farm Chalk Bank, Category:Easton Farm Meadow, Category:Boxford Water Meadows.

BTW in order to give the examples Mike asked for I reverted muting notifications from him, but the Wikidata notices did not come back. I then ticked 'Connection to Wikidata' and the notices reappeared. They disappeared when I unticked. Maybe this means that unticking 'Connection to Wikidata' is working now?

They are all Commons categories so far I remember. Examples are Category:Sole Common Pond, Category:Westfield Farm Chalk Bank, Category:Easton Farm Meadow, Category:Boxford Water Meadows.

Thanks for the examples! In those cases, I was just adding commons sitelinks to existing items, not creating new ones. The Python script I was using to do this is at https://bitbucket.org/mikepeel/wikicode/src/master/enwp_commonscat_new.py

If you want, we could run a test. If you unmute me but keep 'Connection to Wikidata' unticked (so you shouldn't receive the notifications), then I can add some more sitelinks and we can see if you still get the notifications. Let me know if you want to try this.

Thanks. I have unmuted you.

OK, two test edits:

Wikidata item already existed, added a new commons sitelink to a category you created:
https://www.wikidata.org/w/index.php?title=Q29019779&diff=1102532017&oldid=470230345

A new Wikidata item for an article and category pair that you created, adding both enwp and commons sitelinks simultaneously:
https://www.wikidata.org/w/index.php?title=Q83382013&diff=1102533349&oldid=1102533338

Did notices of either of those appear?

Neither showed up in notifications. It seems as if either someone has solved the problem or it has solved itself. Thanks for your help.

Mike_Peel closed this task as Resolved.Jan 22 2020, 11:59 AM
Mike_Peel claimed this task.

OK, I've tentatively closed this, if you start getting the notifications again then please reopen it!